using CloudBuilder.Core.DependencyInjection.Request;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CloudBuilder.Core.Policy
{
    public interface ILocaleMessageManager 
    {
        void InitLocale();

        string ComposeMessage(string groupName, string name);
        TableName<string>[] GetDataSource(string groupName);
        TableName<T>[] GetComposeMessages<T>(string groupName, T[] values);
    }
}
